#include <bits/stdc++.h>
using namespace std;

long long t;
long long n, k, a[100002];
string answer;

void func (long long curr, long long idx, string s) {
    if (idx == 0 and curr == a[0]) {answer = s; return;}
    else if (idx == 0 and curr != a[0]) {s = ""; return;}

    long long r=a[idx];
    string l = "";
    while (curr > 0 and r > 0) {
        int c1 = curr%2, c2 = r%2;
        curr/=2; r/=2;
        if (c1 == 0) {
            if (c2 == 1) {

            }
            if (c2 == 0) {

            }
        }
        else {
            if (c2 == 1) {

            }
            else {

            }
        }
    }
}

int main () {
ios_base::sync_with_stdio(false);
cin.tie(0); cout.tie(0);

cin >> t;

for (int o=0; o < t; o++) {
    cin >> n >> k;
    for (long long i=0; i < n; i++) {
        cin >> a[i];
    }
    cout << "NO" << endl;
    answer = "";
    //func (k, n-1, "");
}

return 0;
}
